DBLINK_ERROR_MESSAGE(3)

NAME
dblink_error_message - gets last error message on the named connection

SYNOPSIS

dblink_error_message(text connname) returns text

DESCRIPTION

dblink_error_message fetches the most recent remote error message for a given connection.

ARGUMENTS

connname
    Name of the connection to use.

RETURN VALUE

Returns last error message, or OK if there has been no error in this connection.

NOTES

When asynchronous queries are initiated by dblink_send_query, the error message associated with the connection might not get updated until the server's response message is consumed. This typically means that dblink_is_busy or dblink_get_result should be called prior to dblink_error_message, so that any error generated by the asynchronous query will be visible.

EXAMPLES

    SELECT dblink_error_message('dtest1');